/*#region general*/
html{
    margin: 0;
    /* cursor: ; */
}
body{
    font-family: "Bebas Neue", serif;
    font-weight: 400;
    font-style: normal;
    margin: 0;
}
header{
    /* position: fixed; */

    margin: 0 2%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}
header h1 {
    font-size: 2.5rem;
    letter-spacing: 0.05em;
}


header img{
    height: 100%;
    margin: 1% 0.5%;
}
a{
    text-decoration: none;
    color:inherit
}
hr{
    margin: 5% 16%; 
}

/*#endregion*/
/*https://www.flaticon.com/free-icon/czech-republic_12327751?term=czech+flag&related_id=12327751*/
/*https://www.flaticon.com/free-icon/united-kingdom_12327874*/
.lswitch:hover{
    cursor: pointer;
}

.intro p {
    max-width: 600px;
    margin: 0 auto;
    line-height: 1.6;
}

.middle{
    text-align: center;
    margin: 5% 0;
}

/*#region container*/
.container{
    /* font-family: "Dosis", serif;
    font-optical-sizing: auto;
    font-weight: 300; 
    font-style: normal; */
    justify-items: center;
    font-optical-sizing: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 1%;
    margin: 0 15%;
}

.tile{
    position: relative;
    overflow: hidden;
    max-width: 650px;
    width: 100%;
    aspect-ratio: 3 / 2;
    background-color: black;
}
.tile img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: opacity 0.5s ease-in-out;
}
.tile h2{
    position: absolute;
    top: 10%;
    left: 5%;
    font-size: 1.5em;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    text-align: center;
    color: white;
}
.tile p{
    position: absolute;
    top: 20%;
    left: 5%;
    font-size: 1em;
    font-weight: lighter;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
    text-align: center;
    color: white;
}
.tile:hover img {
    opacity: 0;
}

.tile:hover h2 {
  opacity: 1;
}
.tile:hover p {
  opacity: 1;
}
/*#endregion*/


/*#region footer*/
footer{
    margin-top: 5%;
    font-family: "Bebas Neue", serif;
    font-weight: 400;
    font-style: normal;
}
/*#endregion*/

/*#region mediaQ*/
@media (max-width: 1850px) {
    .container{
        align-items: center;
        grid-template-columns: 1fr;
        margin: 0 10%;
    }
    .tile{

        width: 100%; 
    }
    .tile p{
        top: 25%;
        text-align: left;
    }
}

/*#endregion*/